Subject: Re: Problem Building Cygwin PostgreSQL
From: "Dr. Volker Zell" <[email-masked]>
To: Jason Tishler <[email-masked]>
Cc: Cygwin <[email-masked]>, [email-masked]
Date: 21 Sep 2000 18:49:22 +0200

>>>>> "Jason" == Jason Tishler <[email-masked]> writes:

    Jason> I am attempting to build PostgreSQL 7.0.2 on a stock Cygwin 1.1.4
    Jason> distribution.  When building plpgsql.dll, I get the following error:

    Jason>     dllwrap -o plpgsql.dll --dllname plpgsql.dll --def plpgsql.def \
    Jason>     pl_parse.o pl_han dler.o pl_comp.o pl_exec.o pl_funcs.o \
    Jason>     ../../../utils/dllinit.o  -L/usr/local/lib -L/usr/local/lib \
    Jason>     -L../../../backend -lpostgres -lcygipc -lcygwin -lcrypt -lkernel32
    Jason>     pl_exec.o(.text+0x1e56):pl_exec.c: undefined reference to `fmgr_pl_finfo'
    Jason>     pl_exec.o(.text+0x32a1):pl_exec.c: undefined reference to `fmgr_pl_finfo'
    Jason>     pl_exec.o(.text+0x32bd):pl_exec.c: undefined reference to `fmgr_pl_finfo'
    Jason>     collect2: ld returned 1 exit status

    Jason> Searching the Net, I found the following on the pgsql-ports list:

    Jason>     http://www.postgresql.org/mhonarc/pgsql-ports/2000-08/msg00045.html

    Jason> which demonstrates that at least one other person had exactly the same
    Jason> problem.  Unfortunately, the solution given was not applicable.

    Jason> Has anyone been successful building a Cygwin PostgreSQL 7.0.2?  If so,
    Jason> what is the solution to the above problem?

I have the same problem. Anyway postmaster -i works perfect and the database system starts up
fine. But using psql always results in a stacktrace. Can you check if you get the same behaviour.
Despite your above error, make install will work fine.

    Jason> Thanks,
    Jason> Jason

Ciao
  Volker

--
Want to unsubscribe from this list?
Send a message to [email-masked]